Get a download session
GET
/v1/download-sessions/{downloadSessionId}curl -X GET 'https://api.embodiflow.io/v1/download-sessions/{downloadSessionId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- downloadSessionIdstring必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- scopeTypestring必填
- scopeIdstring必填
- datasetVersionIdstring | null必填
- artifactIdstring | null必填
- storageBucketIdstring | null必填
- manifestObjectIdstring | null必填
- objectPrefixstring | null必填
- accessModestring必填
- deliveryModestring必填
- statusstring必填
- expiresAtstring必填
- lastUsedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"scopeType": "string",
"scopeId": "string",
"datasetVersionId": "string",
"artifactId": "string",
"storageBucketId": "string",
"manifestObjectId": "string",
"objectPrefix": "string",
"accessMode": "string",
"deliveryMode": "string",
"status": "string",
"expiresAt": "string",
"lastUsedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1